Linux repositories inspector

libqgpsmm23 - Global Positioning System - Qt wrapper for libgps

The gpsd service daemon can monitor one or more GPS devices connected to a host computer, making all data on the location and movements of the sensors available to be queried on TCP port 2947.
This package provides libQgpsmm, the Qt version of libgpsmm. It is a wrapper over libgps, the service library for querying GPS devices. libQgpsmm is available on all platforms which are supported by Qt4.
Original maintainer
Homepagehttp://www.catb.org/gpsd/
3.17
Debian iconDebian 10.0
OpenSUSE iconOpenSUSE Leap 15.0
OpenSUSE iconOpenSUSE Leap 15.1
Ubuntu iconUbuntu 18.04 LTS
Ubuntu iconUbuntu 18.10
Ubuntu iconUbuntu 19.04
DistributionVersionSincePackageInstalledPackager
Debian iconDebian 10.0 buster/maindeb3.17-610.04.201990 kiB191 kiB
OpenSUSE iconOpenSUSE Leap 15.0 ossrpm3.17-lp150.2.1217.01.201968.1 kiB124 kiBhttps://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 15.1 ossrpm3.17-lp151.3.523.01.201967.9 kiB124 kiBhttps://bugs.opensuse.org
Ubuntu iconUbuntu 18.04 LTS bionic/universedeb3.17-528.12.201750.9 kiB186 kiB
Ubuntu iconUbuntu 18.10 cosmic/universedeb3.17-5build114.01.201951 kiB186 kiB
Ubuntu iconUbuntu 19.04 disco/universedeb3.17-5build114.01.201951 kiB186 kiB

Latest updates

Debian 10.0 icon

Debian 10.0 buster/main: Updated from 3.17-5+b1 to 3.17-6

10.04.2019 23:12
  • [0a8e4e18] Pull json fixes from upstream to fix a stack-based buffer overflow, which may allow remote attackers to execute arbitrary code on embedded platforms via traffic on Port 2947/TCP or crafted JSON inputs.
    CVE-2018-17937 / Closes: #925327
    The update also fixes several other json parser bugs.
    • ECMA-404 says JSON \u must have 4 hex digits
    • Allow for \u escapes with fewer than 4 digits.
    • Fail on bad escape string.
  • [71020f4f] Update git-buildpackage config to build from the buster branch.
OpenSUSE Leap 15.1 icon

OpenSUSE Leap 15.1 oss: Version 3.17-lp151.3.5 introduced

23.01.2019 10:08
  • build with Qt5
  • refreshed gpsd-python3.patch
OpenSUSE Leap 15.0 icon

OpenSUSE Leap 15.0 oss: Version 3.17-lp150.2.12 introduced

17.01.2019 18:50
  • build with Qt5
  • refreshed gpsd-python3.patch
Ubuntu 19.04 icon

Ubuntu 19.04 disco/universe: Version 3.17-5build1 introduced

14.01.2019 13:06
  • No-change rebuild for ncurses soname changes.
Ubuntu 18.10 icon

Ubuntu 18.10 cosmic/universe: Version 3.17-5build1 introduced

14.01.2019 03:12
  • No-change rebuild for ncurses soname changes.
Debian 10.0 icon

Debian 10.0 buster/main: Updated from 3.17-5 to 3.17-5+b1

12.01.2019 14:00
  • Binary-only non-maintainer upload for amd64; no source changes.
  • Rebuild against libncurses6.
Debian 10.0 icon

Debian 10.0 buster/main: Updated from 3.17-3 to 3.17-5

01.01.2018 22:45
  • [fd1e83f9] Add pkg-config as Build-Dependency.
    Went missing somehow :(
  • [6d0e69e3] Build with default compiler standard
  • [8994d7cb] Actually change control.in, not control.
    Needs an extra check to make sure I don't forget again :)
  • [a744cad9] Updating debian/control from debian/control.in
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic-proposed/universe: Version 3.17-5 removed

28.12.2017 06:57
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic/universe: Updated from 3.17-3 to 3.17-5

28.12.2017 06:51
  • [fd1e83f9] Add pkg-config as Build-Dependency.
    Went missing somehow :(
  • [6d0e69e3] Build with default compiler standard
  • [8994d7cb] Actually change control.in, not control.
    Needs an extra check to make sure I don't forget again :)
  • [a744cad9] Updating debian/control from debian/control.in
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic-proposed/universe: Version 3.17-5 introduced

28.12.2017 03:10
  • [fd1e83f9] Add pkg-config as Build-Dependency.
    Went missing somehow :(
  • [6d0e69e3] Build with default compiler standard
  • [8994d7cb] Actually change control.in, not control.
    Needs an extra check to make sure I don't forget again :)
  • [a744cad9] Updating debian/control from debian/control.in
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic/universe: Version 3.17-3 introduced

22.11.2017 01:41
  • [2638b3e] Avoid duplicate ppscheck installation.
    Thanks to Andreas Beckmann (Closes: #879951)
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic-proposed/universe: Version 3.17-3 removed

22.11.2017 01:25
Debian 10.0 icon

Debian 10.0 buster/main: Version 3.17-3 introduced

10.11.2017 09:45
  • [2638b3e] Avoid duplicate ppscheck installation.
    Thanks to Andreas Beckmann (Closes: #879951)
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic-proposed/universe: Version 3.17-3 introduced

10.11.2017 09:16
  • [2638b3e] Avoid duplicate ppscheck installation.
    Thanks to Andreas Beckmann (Closes: #879951)
⇧ Top